# $Revision: 1.12 $, $Date: 2004/03/16 00:24:05 $
Summary:	Address format change and calculation utility
Summary(pl):	Narzdzie do zmiany formatu i przeliczania adresw
Name:		whatmask
Version:	1.1
Release:	2
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.laffeycomputer.com/current_builds/whatmask/%{name}-%{version}.tar.gz
# Source0-md5:	2fa6b1bb18f037d0f9c3c8b2eed19277
URL:		http://www.laffeycomputer.com/whatmask.html
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Whatmask is a small C program that helps with network settings.
Notations supported are CIDR (e.g. /24), Netmask (e.g. 255.255.255.0),
and Wilcard Bits (e.g. 0.0.0.255). These notations are all identical.
CIDR notation commonly has a "/" in front of the number (representing
the number of bits). Whatmask can accept these notations with or
without a slash. It can take any IP in the subnet along with the
netmask in any format, and it will echo back the netmask in three
formats, the network address, the broadcast address, the number of
useable IPs, and the range of IPs in the subnet.

%description -l pl
whatmask to niewielki program w C pomagajcy przy konfiguracji sieci.
Obsugiwane notacje to CIDR (np. /24), maska sieci (np. 255.255.255.0)
i maska Wildcatd (np. 0.0.0.255). Te notacje znacz to samo. Notacja
CIDR zazwyczaj ma "/" przed liczb (oznaczajc liczb bitw).
whatmask akceptuje te notacje z lub bez "/". Moe przyj dowolny
adres IP w podsieci wraz z mask w dowolnym formacie, a wypisze mask
w trzech formatach, adres sieci, adres broadcastu, liczb uywalnych
IP oraz zakres IP w podsieci.

%prep
%setup -q

%build
rm -rf missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README AUTHORS NEWS ChangeLog
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: whatmask.spec,v $
Revision 1.12  2004/03/16 00:24:05  adamg
- release 2 for Ac

Revision 1.11  2003/05/28 13:02:50  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:27:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/11/29 22:47:05  ankry
- massive attack: new %%doc

Revision 1.8  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.7  2002/05/21 23:14:57  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:15:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/13 12:40:46  qboosh
- pl description, cosmetics

Revision 1.1  2001/12/13 12:12:24  blues
- initial
Whatmask is a small C program that helps with network settings. Notations
supported are CIDR (e.g. /24), Netmask (e.g. 255.255.255.0), and Wilcard
Bits (e.g. 0.0.0.255). These notations are all identical. CIDR notation
commonly has a "/" in front of the number (representing the number of bits).
